/* css file for uxd225 map */

@font-face {
    font-family: spaceFont;
    src: url(../data/Stars\ Fighters.ttf);
  }

body {
    background: url("../images/space.png") no-repeat center center fixed;
    background-size: 100%;
    background-size: cover;
}

h1 {
    text-align: center;
    font-size: 25px;
    font-family: spaceFont, sans-serif;
    color: white;
}

p.credit {
    text-align: center;
    font-size: 16px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    color: white;
}

img {
    width: 100%;
    margin: 4px 0;
}

.title {
    font-size: 18px;
    font-weight: bolder;
}

#mapid {
    width: 900px;
    height: 500px;
    margin: auto;
    border-radius: 10px 0 15px;
}

/* adjusting popup size & scrollbar */

.leaflet-popup-content {
    max-width: 300px;
    height: 300px;
    overflow-y: auto;
    padding-right: 5px;
}

p {
    margin: 5px 0 !important;
}

::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-thumb {
    background-color: lightgray;
    border-radius: 70px;
}

/* the following styles were taken from leaflet tutorials */

.info {
    padding: 6px 8px;
    font: 14px/16px Arial, Helvetica, sans-serif;
    background: white;
    background: rgba(255,255,255,0.8);
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    border-radius: 5px;
    color: #525252;
}

.info h4 {
    margin: 0 0 5px;
    color: #262626;
}

.legend {
    line-height: 18px;
    color: #525252;
}
.legend i {
    width: 18px;
    height: 18px;
    float: left;
    margin-right: 8px;
    opacity: 0.7;
}

/* clean up routing control */
.leaflet-routing-container {
    display:none;
  }

/* css for responsive */
@media screen and (max-width: 640px) {
    h1 {
        text-align: center;
        font-size: 100%;
        font-family: spaceFont, sans-serif;
        color: white;
    }

    #mapid {
        width: 90%;
        height: auto;
        margin: auto;
        border-radius: 10px;
    }

    .leaflet-popup-content {
        max-width: 250px;
        height: 200px;
        overflow-y: auto;
        padding-right: 5px;
    }
}

@media screen and (max-width: 910px) {
    #mapid {
        width: 90%;
        height: 500px;
        margin: auto;
        border-radius: 10px;
    }
}